Delete Action Secret

Delete Action Secret
Delete an action secret

Deletes an action secret

Request
URI
DELETE
https://{vcfa-fqdn}/abx/api/resources/action-secrets/{id}
COPY
Path Parameters
string
id
Required  

ID of the action secret


Authentication
This operation uses the following authentication methods.
Responses
200

Action secret deleted successfully

Returns ActionSecret of type(s) */*
{
    "id": "string",
    "name": "string",
    "createdMillis": 0,
    "orgId": "string",
    "value": {},
    "encrypted": false
}

400

Invalid request to delete action secret

Returns ActionSecret of type(s) */*
{
    "id": "string",
    "name": "string",
    "createdMillis": 0,
    "orgId": "string",
    "value": {},
    "encrypted": false
}

401

Unauthorized to make the request

Returns ActionSecret of type(s) */*
"ActionSecret Object"
string
id
Read-Only  

id

string
name
Optional

name

integer As int64 As int64
createdMillis
Read-Only  

createdMillis

string
orgId
Optional

orgId

object
value
Optional

value

boolean
encrypted
Optional

encrypted


Code Samples
COPY
                    curl -X DELETE -H 'Authorization: <value>' https://{api_host}/abx/api/resources/action-secrets/{id}